package com.bonus.canteen.core.supply.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.BorderStyleEnum;
import com.bonus.canteen.core.supply.constant.DrpIntoInventoryTypeEnum;
import com.bonus.canteen.core.supply.constant.DrpUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel
@ContentStyle(
   borderLeft = BorderStyleEnum.THIN,
   borderBottom = BorderStyleEnum.THIN,
   borderRight = BorderStyleEnum.THIN,
   borderTop = BorderStyleEnum.THIN
)
public class DrpExcelIntoVO implements Serializable {
   @ApiModelProperty("入库单号")
   private String intoId;
   @ApiModelProperty("所属区域")
   private String areaName;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("入库类型")
   private Integer intoType;
   @ApiModelProperty("入库类型名称")
   private String intoTypeName;
   @ApiModelProperty("入库日期")
   private String intoDate;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("合计金额")
   private Long totalAmount;
   @ApiModelProperty("合计金额-未转换")
   private BigDecimal totalAmountBd;
   @ApiModelProperty("合计数量")
   private BigDecimal totalNum;
   @ApiModelProperty("入库状态-未转换")
   private Integer status;
   @ApiModelProperty("入库状态-已转换")
   private String statusName;
   @ApiModelProperty("操作人")
   private String crby;

   public String getIntoTypeName() {
      return DrpIntoInventoryTypeEnum.getValue(this.intoType);
   }

   public BigDecimal getTotalAmountBd() {
      return DrpUtil.priceDevice100(this.totalAmount);
   }

   public String getStatusName() {
      return DrpUtil.getCommitStatus(this.status);
   }

   public String getIntoId() {
      return this.intoId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public Integer getIntoType() {
      return this.intoType;
   }

   public String getIntoDate() {
      return this.intoDate;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getTotalAmount() {
      return this.totalAmount;
   }

   public BigDecimal getTotalNum() {
      return this.totalNum;
   }

   public Integer getStatus() {
      return this.status;
   }

   public String getCrby() {
      return this.crby;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setIntoType(final Integer intoType) {
      this.intoType = intoType;
   }

   public void setIntoTypeName(final String intoTypeName) {
      this.intoTypeName = intoTypeName;
   }

   public void setIntoDate(final String intoDate) {
      this.intoDate = intoDate;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setTotalAmount(final Long totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setTotalAmountBd(final BigDecimal totalAmountBd) {
      this.totalAmountBd = totalAmountBd;
   }

   public void setTotalNum(final BigDecimal totalNum) {
      this.totalNum = totalNum;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setStatusName(final String statusName) {
      this.statusName = statusName;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }


   public String toString() {
      String var10000 = this.getIntoId();
      return "DrpExcelIntoVO(intoId=" + var10000 + ", areaName=" + this.getAreaName() + ", warehouseName=" + this.getWarehouseName() + ", intoType=" + this.getIntoType() + ", intoTypeName=" + this.getIntoTypeName() + ", intoDate=" + this.getIntoDate() + ", remark=" + this.getRemark() + ", totalAmount=" + this.getTotalAmount() + ", totalAmountBd=" + String.valueOf(this.getTotalAmountBd()) + ", totalNum=" + String.valueOf(this.getTotalNum()) + ", status=" + this.getStatus() + ", statusName=" + this.getStatusName() + ", crby=" + this.getCrby() + ")";
   }
}
